libdvbv5 1.24.1 Library to work with Digital TV devices on Linux

Data Fields
dvb_descriptor Struct Reference
Digital TV table parsing

Contains the parser information for the MPEG-TS parser code. More...

`#include <descriptors.h>`

## Data Fields
const char * | name
dvb_desc_init_func | init
dvb_desc_print_func | print
dvb_desc_free_func | free
ssize_t | size

## Detailed Description

Contains the parser information for the MPEG-TS parser code.

Parameters

  name | String containing the name of the descriptor
  init | Pointer to a function to initialize the descriptor parser. This function fills the descriptor-specific internal structures
  print | Prints the content of the descriptor
  free | Frees all memory blocks allocated by the init function
  size | Descriptor's size, in bytes.

Definition at line 249 of file descriptors.h.

## Field Documentation

## ◆ free

dvb_desc_free_func dvb_descriptor::free

Definition at line 253 of file descriptors.h.

## ◆ init

dvb_desc_init_func dvb_descriptor::init

Definition at line 251 of file descriptors.h.

## ◆ name

const char* dvb_descriptor::name

Definition at line 250 of file descriptors.h.

## ◆ print

dvb_desc_print_func dvb_descriptor::print

Definition at line 252 of file descriptors.h.

## ◆ size

ssize_t dvb_descriptor::size

Definition at line 254 of file descriptors.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/descriptors.h